summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGreg Fitzgerald <gregf@gentoo.org>2003-07-29 01:36:52 +0000
committerGreg Fitzgerald <gregf@gentoo.org>2003-07-29 01:36:52 +0000
commitc10259c3fa68be87b7241d859e2e3a65d5f72dc8 (patch)
treeca83b9fabd3c38eec14b154124c9e2e44f074515 /net-analyzer/portmon/files
parentInitial Release. (diff)
downloadhistorical-c10259c3fa68be87b7241d859e2e3a65d5f72dc8.tar.gz
historical-c10259c3fa68be87b7241d859e2e3a65d5f72dc8.tar.bz2
historical-c10259c3fa68be87b7241d859e2e3a65d5f72dc8.zip
Initial Release.
Diffstat (limited to 'net-analyzer/portmon/files')
-rw-r--r--net-analyzer/portmon/files/digest-portmon-1.91
-rw-r--r--net-analyzer/portmon/files/portmon.init30
2 files changed, 31 insertions, 0 deletions
diff --git a/net-analyzer/portmon/files/digest-portmon-1.9 b/net-analyzer/portmon/files/digest-portmon-1.9
new file mode 100644
index 000000000000..5c5b29947bb7
--- /dev/null
+++ b/net-analyzer/portmon/files/digest-portmon-1.9
@@ -0,0 +1 @@
+MD5 95ae1352fb6d877b36839a1f90fc2b81 portmon-1.9.tar.gz 143698
diff --git a/net-analyzer/portmon/files/portmon.init b/net-analyzer/portmon/files/portmon.init
new file mode 100644
index 000000000000..0cedcfc67536
--- /dev/null
+++ b/net-analyzer/portmon/files/portmon.init
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/portmon/files/portmon.init,v 1.1 2003/07/29 01:36:45 gregf Exp $
+
+# configuration is done in /etc/pormon.sh
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -e /etc/portmon/portmon.hosts ]; then
+ error " You need /etc/portmon/portmaon.hosts to run portmon."
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting portmon"
+ start-stop-daemon --start --quiet --exec /usr/sbin/portmon -- -d -c /etc/portmon/portmon.hosts
+ eend $?
+}
+
+stop() {
+ checkconfig || return 1
+ ebegin "Staring portmon"
+ start-stop-daemon --stopt --quiet --exec /usr/sbin/portmon
+}